# 🛠 Contributing to DeliverFreshWhatsAppOrder

Thank you for considering contributing! 🎉 Whether it’s fixing bugs, improving documentation, or suggesting new features, your help is welcome.

---

## 📋 How to Contribute

### 1. Fork the Repository

Click the **Fork** button in the top-right corner of [this repo](https://github.com/rperumal3000/DeliverFreshWhatsAppOrder).

### 2. Clone Your Fork

```bash
git clone https://github.com/YOUR-USERNAME/DeliverFreshWhatsAppOrder.git
cd DeliverFreshWhatsAppOrder
```

### 3. Create a New Branch

```bash
git checkout -b feature/my-feature-name
```

### 4. Make Changes

Edit code, improve documentation, add tests, etc.
For code changes, please run tests and ensure the formatting is correct.

### 5. Commit and Push

```bash
git add .
git commit -m "Add: Description of your change"
git push origin feature/my-feature-name
```

### 6. Submit a Pull Request

Go to your fork on GitHub and click "New Pull Request".

### 📦 Local Dev Setup (Optional)

```bash
# Install dependencies
pip install -e .[dev]

# Run tests
pytest

# Build docs locally
mkdocs serve
```

### ✅ Contribution Checklist

 Code is linted and tested

 New functions are documented

 Tests are added for new logic

 You’ve added yourself to the CONTRIBUTORS.md (optional)

### 🌍 Translations

Help us add documentation in your language!
Translate docs/index.md into your language and add to the appropriate folder (hi/, ta/, ja/, etc.).

### 🧾 License

By contributing, you agree that your contributions will be licensed under the MIT License.



